WiscWeb CMS - Recommended Browsers

The WiscWeb service uses WordPress, a web-based content management system. This document provides guidance on using recommended browsers for use with the service.

The UW Theme supports the latest versions of all major web browsers, including Microsoft Edge, Firefox, Chrome, Safari, and Internet Explorer 11 — this also includes mobile optimization and compatibility with current versions of these browsers.

Although we recommend you use the latest version of any browser, the UW Theme is expected to perform well on older versions if they’ve been released within a couple years. With the exception of Internet Explorer, modern browsers auto-update, so most users are running the latest version of a browser.

When it comes to Internet Explorer, the UW Theme is well supported in IE 10. The theme works in IE9, but does contain some layout issues. However, in IE8 the theme is generally not usable. If you’re experiencing issues with IE11 or IE10, ensure you’re not operating within IE’s Compatibility Mode. In all cases, it’s always best to use the latest version of your browser of choice for security and usability reasons.

The UW Theme is also designed to work in various combinations of assistive technology and screen readers. See the theme’s accessibility standards. In particular, the development team has done at least basic testing with NVDA on Windows running IE11 and Firefox; VoiceOver on OSX and Chromevox.

We also recommend that you refer to the WordPress Browser Issues page for further troubleshooting and support.




Keywords:web recommendations recommended internet explorer ie firefox safari chrome edge microsoft   Doc ID:13183
Owner:Matthew G.Group:WiscWeb CMS
Created:2010-01-21 18:00 CSTUpdated:2018-11-23 14:20 CST
Sites:DoIT Help Desk, WiscWeb CMS
Feedback:  2   1